image: php:5.6

cache:
  paths:
  - vendor/

# Before Script
before_script:
  - apt-get update -y -qq
  - apt-get upgrade -y -qq
  - apt-get install git curl zip unzip wget -y -qq
  - curl -sS https://getcomposer.org/installer | php
  #- php composer.phar require deployer/deployer:^3.2
  - php composer.phar install
  - export PATH="$PATH:vendor/bin"

test:priority:high:
  stage: test
  script:
    - parallel-lint src
    - phpmd src
    - phpcpd src

test:priority:medium:
  script:
    - phpcs -d memory_limit=512M src --colors -p -n --report=diff
  allow_failure: true

test:priority:low:
  stage: test
  script:
    - phploc src
  allow_failure: true